import request from '@/utils/request'

// 新增
export function addChannel(data) {
    return request({
        url: '/dxtop/company',
        method: 'post',
        data: data
    })
}
// 修改
export function updataChannel(data) {
    return request({
        url: '/dxtop/company',
        method: 'put',
        data: data
    })
}
// 删除
export function delChannel(deptId) {
    return request({
        url: '/dxtop/company/' + deptId,
        method: 'delete',
    })
}
// 查询
export function listChannel(query) {
    return request({
        url: '/dxtop/company/list',
        method: 'get',
        params: query
    })
}
// 查询文件管理
export function listRecharge(data) {
    return request({
        url: '/sysFile/page',
        method: 'post',
        data
    })
}
// 上传文件查询（充值表格）
export function uploadFile(data) {
    return request({
        url: '/dxtop/order/addOrderByFile',
        method: 'post',
        data
    })
}


//图片上传获取四步曲
// 获取上传图片批次id
export function fileId(query) { // batchNo（文件批次id）
    return request({
        url: '/sysFile/generateBatchNo',
        method: 'get',
        params: query
    })
}
// 上传图片
export function uploadFileApi(a, b, c) { // batchNo（文件批次id）、businessType（文件应用场景）、uploadType（file / url ）
    return request({
        url: '/sysFile' + "?batchNo=" + a + "&businessType=" + b + "&uploadType=file",
        method: 'post',
        data: c
    })
}
// 图片生效
export function fileTakeEffect(batchNo, ids) { // batchNo（文件批次id）
    return request({
        url: '/sysFile/active?batchNo=' + batchNo,
        method: 'post',
        data: ids
    })
}
// 获取图片url 单张
export function getFile(data) {
    return request({
        url: '/sysFile/getFile',
        method: 'post',
        data: data
    })
}

// 获取图片url 多张
export function getFileArray(data) {
    return request({
        url: '/sysFile/files',
        method: 'post',
        data: data
    })
}